Package org.kapott.hbci.GV_Result

# Class GVRCardList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRCardList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRCardList extends HBCIJobResultImpl
Klasse mit den Ergebissen der Abfrage von Informationen zu ausgegebenen Karten. Für jede Karte, für die Informationen verfügbar sind, wird eine separates Informationsobjekt `GVRCardList.CardInfo` erzeugt.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRCardList.CardInfo`
Informationen über genau eine Karte

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRCardList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRCardList.CardInfo info)`
`GVRCardList.CardInfo[]`
`getEntries()`
Gibt eine Liste aller empfangenen Karteninformations-Einträge zurück.
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRCardList

public GVRCardList()

## Method Details

### addEntry

public void addEntry(GVRCardList.CardInfo info)

### getEntries

public GVRCardList.CardInfo[] getEntries()
Gibt eine Liste aller empfangenen Karteninformations-Einträge zurück.

Returns:
  Array mit Karteninformationsdaten. Das Array selbst ist niemals `null`, kann aber die Länge `0` haben

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`